<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionItemPreviewTooltip Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d3/dd4/a03151.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ExpansionItemPreviewTooltip Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ExpansionItemPreviewTooltip:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d3/dd4/a03151.png" usemap="#ExpansionItemPreviewTooltip_map" alt=""/>
  <map id="ExpansionItemPreviewTooltip_map" name="ExpansionItemPreviewTooltip_map">
<area href="../../df/d0c/a03055.html" alt="ExpansionScriptView" shape="rect" coords="0,0,175,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a562571598954499fb47c917959d531e9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dd4/a03151.html#a562571598954499fb47c917959d531e9">ExpansionItemPreviewTooltip</a> (EntityAI item)</td></tr>
<tr class="separator:a562571598954499fb47c917959d531e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a92e6213fe82b400f4ee8b8328abee81b"><td class="memItemLeft" align="right" valign="top">override string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dd4/a03151.html#a92e6213fe82b400f4ee8b8328abee81b">GetLayoutFile</a> ()</td></tr>
<tr class="separator:a92e6213fe82b400f4ee8b8328abee81b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca6386f2bf365a85f05d64fd082cec47"><td class="memItemLeft" align="right" valign="top">override&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dd4/a03151.html#aca6386f2bf365a85f05d64fd082cec47">GetControllerType</a> ()</td></tr>
<tr class="separator:aca6386f2bf365a85f05d64fd082cec47"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5c952ff75fa25886735e077e8ca1f974"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dd4/a03151.html#a5c952ff75fa25886735e077e8ca1f974">SetView</a> ()</td></tr>
<tr class="separator:a5c952ff75fa25886735e077e8ca1f974"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb4a728ad5a7972f06f339529601c0bd"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dd4/a03151.html#afb4a728ad5a7972f06f339529601c0bd">SetContentOffset</a> (float x, float y)</td></tr>
<tr class="separator:afb4a728ad5a7972f06f339529601c0bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8123ddc5cee5fd41069b574b5dd39d44"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dd4/a03151.html#a8123ddc5cee5fd41069b574b5dd39d44">Show</a> ()</td></tr>
<tr class="separator:a8123ddc5cee5fd41069b574b5dd39d44"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a82d00ab31ef48caa8c2de19b513e27f1"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dd4/a03151.html#a82d00ab31ef48caa8c2de19b513e27f1">OnShow</a> ()</td></tr>
<tr class="separator:a82d00ab31ef48caa8c2de19b513e27f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a7e26c015584617c69964e5a430039db7"><td class="memItemLeft" align="right" valign="top">ref ExpansionItemPreviewTooltipController&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dd4/a03151.html#a7e26c015584617c69964e5a430039db7">m_ItemTooltipController</a></td></tr>
<tr class="separator:a7e26c015584617c69964e5a430039db7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adf959671badc9cae4d29987f4f6b5102"><td class="memItemLeft" align="right" valign="top">EntityAI&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dd4/a03151.html#adf959671badc9cae4d29987f4f6b5102">m_Item</a></td></tr>
<tr class="separator:adf959671badc9cae4d29987f4f6b5102"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1bb3019b17143dcdfe2d1f19992865b5"><td class="memItemLeft" align="right" valign="top">private float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dd4/a03151.html#a1bb3019b17143dcdfe2d1f19992865b5">m_ContentOffsetX</a></td></tr>
<tr class="separator:a1bb3019b17143dcdfe2d1f19992865b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5936552c2d7446ebfe9f378361175d3b"><td class="memItemLeft" align="right" valign="top">private float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dd4/a03151.html#a5936552c2d7446ebfe9f378361175d3b">m_ContentOffsetY</a></td></tr>
<tr class="separator:a5936552c2d7446ebfe9f378361175d3b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../de/d6c/a01349_source.html#l00667">667</a> of file <a class="el" href="../../de/d6c/a01349_source.html">expansionitemtooltip.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a562571598954499fb47c917959d531e9" name="a562571598954499fb47c917959d531e9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a562571598954499fb47c917959d531e9">&#9670;&#160;</a></span>ExpansionItemPreviewTooltip()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionItemPreviewTooltip::ExpansionItemPreviewTooltip </td>
          <td>(</td>
          <td class="paramtype">EntityAI&#160;</td>
          <td class="paramname"><em>item</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d6c/a01349_source.html#l00675">675</a> of file <a class="el" href="../../de/d6c/a01349_source.html">expansionitemtooltip.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="aca6386f2bf365a85f05d64fd082cec47" name="aca6386f2bf365a85f05d64fd082cec47"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aca6386f2bf365a85f05d64fd082cec47">&#9670;&#160;</a></span>GetControllerType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override ExpansionItemPreviewTooltip::GetControllerType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d6c/a01349_source.html#l00688">688</a> of file <a class="el" href="../../de/d6c/a01349_source.html">expansionitemtooltip.c</a>.</p>

</div>
</div>
<a id="a92e6213fe82b400f4ee8b8328abee81b" name="a92e6213fe82b400f4ee8b8328abee81b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a92e6213fe82b400f4ee8b8328abee81b">&#9670;&#160;</a></span>GetLayoutFile()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override string ExpansionItemPreviewTooltip::GetLayoutFile </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d6c/a01349_source.html#l00683">683</a> of file <a class="el" href="../../de/d6c/a01349_source.html">expansionitemtooltip.c</a>.</p>

</div>
</div>
<a id="a82d00ab31ef48caa8c2de19b513e27f1" name="a82d00ab31ef48caa8c2de19b513e27f1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a82d00ab31ef48caa8c2de19b513e27f1">&#9670;&#160;</a></span>OnShow()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionItemPreviewTooltip::OnShow </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d6c/a01349_source.html#l00713">713</a> of file <a class="el" href="../../de/d6c/a01349_source.html">expansionitemtooltip.c</a>.</p>

</div>
</div>
<a id="afb4a728ad5a7972f06f339529601c0bd" name="afb4a728ad5a7972f06f339529601c0bd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afb4a728ad5a7972f06f339529601c0bd">&#9670;&#160;</a></span>SetContentOffset()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionItemPreviewTooltip::SetContentOffset </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>y</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d6c/a01349_source.html#l00701">701</a> of file <a class="el" href="../../de/d6c/a01349_source.html">expansionitemtooltip.c</a>.</p>

</div>
</div>
<a id="a5c952ff75fa25886735e077e8ca1f974" name="a5c952ff75fa25886735e077e8ca1f974"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5c952ff75fa25886735e077e8ca1f974">&#9670;&#160;</a></span>SetView()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionItemPreviewTooltip::SetView </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d6c/a01349_source.html#l00693">693</a> of file <a class="el" href="../../de/d6c/a01349_source.html">expansionitemtooltip.c</a>.</p>

</div>
</div>
<a id="a8123ddc5cee5fd41069b574b5dd39d44" name="a8123ddc5cee5fd41069b574b5dd39d44"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8123ddc5cee5fd41069b574b5dd39d44">&#9670;&#160;</a></span>Show()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionItemPreviewTooltip::Show </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d6c/a01349_source.html#l00707">707</a> of file <a class="el" href="../../de/d6c/a01349_source.html">expansionitemtooltip.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a1bb3019b17143dcdfe2d1f19992865b5" name="a1bb3019b17143dcdfe2d1f19992865b5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1bb3019b17143dcdfe2d1f19992865b5">&#9670;&#160;</a></span>m_ContentOffsetX</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private float ExpansionItemPreviewTooltip::m_ContentOffsetX</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d6c/a01349_source.html#l00672">672</a> of file <a class="el" href="../../de/d6c/a01349_source.html">expansionitemtooltip.c</a>.</p>

</div>
</div>
<a id="a5936552c2d7446ebfe9f378361175d3b" name="a5936552c2d7446ebfe9f378361175d3b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5936552c2d7446ebfe9f378361175d3b">&#9670;&#160;</a></span>m_ContentOffsetY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private float ExpansionItemPreviewTooltip::m_ContentOffsetY</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d6c/a01349_source.html#l00673">673</a> of file <a class="el" href="../../de/d6c/a01349_source.html">expansionitemtooltip.c</a>.</p>

</div>
</div>
<a id="adf959671badc9cae4d29987f4f6b5102" name="adf959671badc9cae4d29987f4f6b5102"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adf959671badc9cae4d29987f4f6b5102">&#9670;&#160;</a></span>m_Item</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">EntityAI ExpansionItemPreviewTooltip::m_Item</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d6c/a01349_source.html#l00670">670</a> of file <a class="el" href="../../de/d6c/a01349_source.html">expansionitemtooltip.c</a>.</p>

</div>
</div>
<a id="a7e26c015584617c69964e5a430039db7" name="a7e26c015584617c69964e5a430039db7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7e26c015584617c69964e5a430039db7">&#9670;&#160;</a></span>m_ItemTooltipController</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref ExpansionItemPreviewTooltipController ExpansionItemPreviewTooltip::m_ItemTooltipController</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d6c/a01349_source.html#l00669">669</a> of file <a class="el" href="../../de/d6c/a01349_source.html">expansionitemtooltip.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Core/Scripts/5_mission/dayzexpansion_core/mvc/scriptviews/<a class="el" href="../../de/d6c/a01349_source.html">expansionitemtooltip.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d3/dd4/a03151.html">ExpansionItemPreviewTooltip</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
